## ounit 1.0.0

=== Makefile ===
#
# $Id: Makefile,v 1.14 2003/12/06 11:05:43 maas Exp $
#

NAME=oUnit
OBJECTS=oUnit.cmo
XOBJECTS=$(OBJECTS:.cmo=.cmx)

ARCHIVE=oUnit.cma
XARCHIVE=$(ARCHIVE:.cma=.cmxa)

OCAMLRUN=ocamlrun
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
MKLIB=ocamlmklib
OCAMLDOC=ocamldoc
OCAMLFIND=ocamlfind

### End of configuration section

all: $(ARCHIVE)
allopt: $(XARCHIVE)

$(ARCHIVE): $(OBJECTS)
	$(OCAMLC) -a -o $(ARCHIVE) $(OBJECTS)
$(XARCHIVE): $(XOBJECTS)
	$(OCAMLOPT) -a -o $(XARCHIVE) $(XOBJECTS)

depend: *.ml *.mli
	$(OCAMLDEP) *.mli *.ml > depend

.PHONY: test
test: unittest
	./unittest
.PHONY: testopt
testopt: unittest.opt
	./unittest.opt
.PHONY: testall
testall: test testopt

unittest: $(OBJECTS) $(TEST_OBJECTS)
	$(OCAMLFIND) ocamlc -o unittest -package unix -linkpkg \
	$(OBJECTS) test_OUnit.ml

unittest.opt: $(XOBJECTS) $(TEST_XOBJECTS)
	$(OCAMLFIND) ocamlopt -o unittest.opt -package unix -linkpkg \
	$(XOBJECTS) test_OUnit.ml

.PHONY: install
install: all
	{ test ! -f $(XARCHIVE) || extra="$(XARCHIVE) $(NAME).a"; }; \
	$(OCAMLFIND) install $(NAME) META $(NAME).mli $(NAME).cmi $(ARCHIVE) \
	$$extra

.PHONY: uninstall
uninstall:
	$(OCAMLFIND) remove $(NAME)

.PHONY: doc
doc: FORCE
	{ test -d doc || mkdir doc; };
	cd doc; $(OCAMLDOC) -html -I .. ../$(NAME).mli

.PHONY: clean
clean::
	rm -f *~ *.cm* *.o *.a *.so unittest unittest.opt doc/*.html doc/*.css

FORCE:

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $(COMPFLAGS) $<
.ml.cmo:
	$(OCAMLC) -c $(COMPFLAGS) $<
.ml.cmx:
	$(OCAMLOPT) -c $(COMPFLAGS) $<
.c.o:
	$(OCAMLC) -c -ccopt "$(CFLAGS)" $<

include depend

## ounit 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.14 2003/12/06 11:05:43 maas Exp $
+# $Id: Makefile,v 1.15 2004/07/24 09:40:58 maas Exp $
 #
 
 NAME=oUnit
@@ -16,6 +16,8 @@
 MKLIB=ocamlmklib
 OCAMLDOC=ocamldoc
 OCAMLFIND=ocamlfind
+
+COMPFLAGS=-w A
 
 ### End of configuration section

=== examples/Makefile ===
# 
# 

TESTS = test_list.ml test_list2.ml test_stack.ml

test: test_suite
	./test_suite

test_suite: $(TESTS) test_suite.ml
	ocamlfind ocamlc -o test_suite -package oUnit -linkpkg \
	test_list.ml test_list2.ml test_stack.ml test_suite.ml

## ounit 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.15 2004/07/24 09:40:58 maas Exp $
+# $Id: Makefile,v 1.1.1.1 2008-06-07 03:17:22 maas Exp $
 #
 
 NAME=oUnit

## ounit 1.1.0

=== debian/changelog ===
ounit (1.1.0-3) unstable; urgency=low

  * Upload to unstable

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 18 Feb 2011 18:17:09 +0100

ounit (1.1.0-2) experimental; urgency=low

  * Fix "FTBFS: sh: camlp4: not found", add camlp4 to build depends 
    (Closes: #610040)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 15 Jan 2011 14:40:03 +0100

ounit (1.1.0-1) experimental; urgency=low

  * New upstream release:
    * Applied patch from Michael Ekstrand concerning stack trace 
      (Closes: #528603) 
    * Update META version field (Closes: #607872)
    * Update homepage
  * Rebuild debian/rules using dh and oasis
  * Upgrade Standards-Version to 3.9.1 (no change)
  * Use DEP-5 for debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 07 Jan 2011 16:30:09 +0000

ounit (1.0.3-5) unstable; urgency=low

  * Add build-depends on docbook-xml (Closes: #561204)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 15 Dec 2009 20:54:21 +0000

ounit (1.0.3-4) unstable; urgency=low

  * Add Provides field for dh-ocaml
  * Use quilt to apply patch valid-docbook

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Dec 2009 23:37:32 +0000

ounit (1.0.3-3) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Switch packaging to git

  [ Stéphane Glondu ]
  * Remove unused dpatch stuff
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Nov 2009 21:38:03 +0100

ounit (1.0.3-2) unstable; urgency=low

  * Update Standards-Version to 3.8.0:
    * Add Homepage field
    * Add README.source
  * Add build-dependency on dh-ocaml, use rules/ocaml.ml
  * Upgrade to debhelper 7, use debian/clean

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 28 Feb 2009 19:39:57 +0100

ounit (1.0.3-1) unstable; urgency=low

  * New upstream version
  * Remove 01_destdir patch, use OCAMLFIND_DESTDIR to define the location of
    destination file

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 05 Aug 2008 20:42:48 +0000

ounit (1.0.2-8) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
    (Closes: #484495)
  * Correct OUnit manual section (now Programming/OCaml)
  * Upgrade Standards-Version to 3.7.3 (no change)

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 04 Jun 2008 17:21:40 +0200

ounit (1.0.2-7) unstable; urgency=low

  * Build for ocaml 3.10.0
  * Use standard .doc-base.ocamldoc-apiref

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:46 +0200

ounit (1.0.2-6) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Remove generated files from debian/*.in,
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:26 +0200

ounit (1.0.2-5) unstable; urgency=low

  * Use CDBS for debian/rules,
  * Upgrade debhelper debian/compat to 5,
  * Better use debhelper script, add files :
    - libounit-ocaml-dev.docs,
    - libounit-ocaml-dev.dirs.in,
    - libounit-ocaml-dev.install (Closes: #370758),
    - libounit-ocaml-dev.examples.

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 26 Oct 2006 23:31:47 +0200

ounit (1.0.2-4) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 14 Jun 2006 21:55:46 +0200

ounit (1.0.2-3) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:15:39 +0100

ounit (1.0.2-2) unstable; urgency=low

  * Transition to svn-buildpackage
  * Remove hardcoded OCaml ABI (Closes: #339124)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:18:37 +0100

ounit (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Downgrade watch version in order to allow QA to use the watch file
  * Upgrade standards version to 3.6.2.0 (no change)
  * Change section of documentation from devel to apps/programming
    (Closes: #310761)
  * Generate HTML manual using SGML manual (Closes: #256063)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 27 Jul 2005 23:44:47 +0200

ounit (1.0.1.a-1) unstable; urgency=medium

  * Use the upstream tarball without modification ( the former tarball was a
    little bit modified ).

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  5 Apr 2005 23:56:23 +0200

ounit (1.0.1-3) unstable; urgency=low

  * Transition to ocaml 3.08.3,
  * The package is now maintained by Sylvain Le Gall
    <sylvain.le-gall@polytechnique.org>, (changes in control, copyright),
  * Correct the dependency of the package, according to the
    debian-ocaml-maintainer policy: now depends on ocaml-nox-3.08.3 rather
    than ocaml (>=3.08.2),
  * Clean the rules files,
  * Use dpatch (debian-ocaml-maintainer common rules),
  * Add a watch file,
  * Change the site of download, since the upstream site has moved,
  * Move to debian policy 3.6.1.0.

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sun,  3 Apr 2005 16:19:29 +0200

ounit (1.0.1-2) unstable; urgency=medium

  * Tightened up deps in control file.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 13 Dec 2004 08:23:54 -0600

ounit (1.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Urgency medium; needed rebuild for new OCaml.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 13 Dec 2004 08:17:16 -0600

ounit (1.0.0-4) unstable; urgency=medium

  * Adjusted depends for ocaml 3.08.  Closes: #264136.

 -- John Goerzen <jgoerzen@complete.org>  Sat,  7 Aug 2004 21:25:45 -0500

ounit (1.0.0-3) unstable; urgency=low

  * Rebuilt for OCaml 3.08

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 08:46:38 -0500

ounit (1.0.0-2) unstable; urgency=low



=== debian/control ===
Source: ounit
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Sylvain Le Gall <gildor@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: 
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 dh-ocaml (>= 0.9.1),
 camlp4
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ounit.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ounit.git
Homepage: http://ounit.forge.ocamlcore.org

Package: libounit-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Unit testing framework for OCaml
 OUnit is a unit testing framework for OCaml, imspired
 by the JUnit tool for JAva and the HUnit tool for Haskell.
 .
 OUnit is designed to provide a convenient way for you to write tests
 for your OCaml code.  Tests can be aggregated into test suites, making
 it easy to both write tests close to the code being examined and
 execute a comprehensive aggregate set of tests -- or any subset of it.

## ounit 1.1.1

=== debian/changelog ===
ounit (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 01 Mar 2012 10:07:44 +0100

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ounit package
# Copyright (C) 2006-2010 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ounit 1.1.2

=== Makefile ===
#TESTFLAGS=-only-test "OUnit:1"
default: test

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

doc-test: doc
	 ocamldoc -g ../ocaml-tmp/odoc-extract-code/odoc_extract_code.cmo \
		 -load _build/src/oUnit.odoc -intro doc/manual.txt > _build/src/tmp.ml;
	 ocamlc -c -I _build/src/ _build/src/tmp.ml

=== examples/Makefile ===
# 
# 

TESTS = test_list.ml test_list2.ml test_stack.ml

test: test_suite example
	-./test_suite
	-./example

test_suite: $(TESTS) test_suite.ml
	ocamlfind ocamlc -o test_suite -package oUnit -linkpkg \
	test_list.ml test_list2.ml test_stack.ml test_suite.ml	

example: example.ml
	ocamlfind ocamlc -o example -package oUnit -linkpkg \
	example.ml

clean:
	-$(RM) *.cmi *.cmo test_suite example

=== debian/changelog ===
ounit (1.1.2-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:49:15 +0100

ounit (1.1.2-3~exp1) experimental; urgency=low

  [ Hendrik Tews ]
  * silent lintian canonical vcs info

  [ Lifeng Sun ]
  * Upload to experimental.
  * libounit-ocaml-dev: depends on ocaml-findlib.
  * Add myself to Uploaders.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 24 Jul 2013 20:17:53 +0800

ounit (1.1.2-2) unstable; urgency=low

  * build depend on ocaml-best-compilers for native compilation
  * fix FTBFS error on armel

 -- Hendrik Tews <hendrik@askra.de>  Wed, 29 May 2013 14:51:13 +0200

ounit (1.1.2-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * New upstream release
  * install cmx files
  * remove debian-changes-1.1.0-1 patch and strange changes in _tags
  * add myself to uploaders
  * bump standards version
  * bump debhelper compat level

 -- Hendrik Tews <hendrik@askra.de>  Wed, 22 May 2013 12:15:56 +0200

=== debian/control ===
Source: ounit
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Hendrik Tews <hendrik@askra.de>,
 Lifeng Sun <lifongsun@gmail.com>
Build-Depends: 
 debhelper (>= 9),
 ocaml-nox (>= 4.00.1),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.3.2),
 dh-ocaml (>= 0.9.1),
 camlp4
Standards-Version: 3.9.4
Homepage: http://ounit.forge.ocamlcore.org
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ounit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ounit.git

Package: libounit-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: Unit testing framework for OCaml
 OUnit is a unit testing framework for OCaml, imspired
 by the JUnit tool for JAva and the HUnit tool for Haskell.
 .
 OUnit is designed to provide a convenient way for you to write tests
 for your OCaml code.  Tests can be aggregated into test suites, making
 it easy to both write tests close to the code being examined and
 execute a comprehensive aggregate set of tests -- or any subset of it.

=== debian/watch ===
version=3
https://forge.ocamlcore.org/frs/?group_id=162 .*/ounit-([0-9\.]*)\.tar\.gz

## ounit 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,38 @@
+############################################################################
+#  The OUnit library                                                       #
+#                                                                          #
+#  Copyright (C) 2002-2008 Maas-Maarten Zeeman.                            #
+#  Copyright (C) 2010 OCamlCore SARL                                       #
+#  Copyright (C) 2013 Sylvain Le Gall                                      #
+#                                                                          #
+#  The package OUnit is copyright by Maas-Maarten Zeeman, OCamlCore SARL   #
+#  and Sylvain Le Gall.                                                    #
+#                                                                          #
+#  Permission is hereby granted, free of charge, to any person obtaining   #
+#  a copy of this document and the OUnit software ("the Software"), to     #
+#  deal in the Software without restriction, including without limitation  #
+#  the rights to use, copy, modify, merge, publish, distribute,            #
+#  sublicense, and/or sell copies of the Software, and to permit persons   #
+#  to whom the Software is furnished to do so, subject to the following    #
+#  conditions:                                                             #
+#                                                                          #
+#  The above copyright notice and this permission notice shall be          #
+#  included in all copies or substantial portions of the Software.         #
+#                                                                          #
+#  The Software is provided ``as is'', without warranty of any kind,       #
+#  express or implied, including but not limited to the warranties of      #
+#  merchantability, fitness for a particular purpose and noninfringement.  #
+#  In no event shall Maas-Maarten Zeeman be liable for any claim, damages  #
+#  or other liability, whether in an action of contract, tort or           #
+#  otherwise, arising from, out of or in connection with the Software or   #
+#  the use or other dealings in the software.                              #
+#                                                                          #
+#  See LICENSE.txt for details.                                            #
+############################################################################
+
 #TESTFLAGS=-only-test "OUnit:1"
+#TESTFLAGS=-verbose true
+
 default: test
 
 # OASIS_START
@@ -42,5 +76,57 @@
 
 doc-test: doc
 	 ocamldoc -g ../ocaml-tmp/odoc-extract-code/odoc_extract_code.cmo \
-		 -load _build/src/oUnit.odoc -intro doc/manual.txt > _build/src/tmp.ml;
+	   -load _build/src/oUnit.odoc -intro doc/manual.txt > _build/src/tmp.ml;
 	 ocamlc -c -I _build/src/ _build/src/tmp.ml
+
+PRECOMMIT_ARGS= \
+	    --exclude log-html \
+	    --exclude myocamlbuild.ml \
+	    --exclude setup.ml \
+	    --exclude README.txt \
+	    --exclude INSTALL.txt \
+	    --exclude Makefile \
+	    --exclude configure \
+	    --exclude _tags
+
+precommit:
+	 @if command -v OCamlPrecommit > /dev/null; then \
+	   OCamlPrecommit $(PRECOMMIT_ARGS); \
+	 else \
+	   echo "Skipping precommit checks.";\
+	 fi
+
+test: precommit
+
+.PHONY: precommit
+
+doc-dev-dist: doc fix-perms
+	./doc-dist.sh --version dev
+
+.PHONY: doc-dev-dist
+
+deploy: doc fix-perms
+	./doc-dist.sh --version $(shell oasis query version)
+	admin-gallu-deploy --verbose \
+		--forge_upload	--forge_group ounit --forge_user gildor-admin \
+		--forge_extra_file "dist/ounit-doc-$(shell oasis query version).tar.gz"
+	admin-gallu-oasis-increment \
+		--setup_run --setup_args "-setup-update dynamic" --use_vcs
+
+.PHONY: deploy
+
+fix-perms:
+	chmod +x doc-dist.sh
+
+.PHONY: fix-perms
+
+headache:
+	find ./ \
+		-name _darcs -prune -false \
+    -o -name _build -prune -false \
+	  -o -name dist -prune -false \
+	  -o -name log-html -prune -false \
+	  -o -name '*[^~]' -type f \
+	  | xargs headache -h _header -c _headache.config
+
+.PHONY: headache

=== debian/changelog ===
ounit (2.0.0-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:00:57 -0600

ounit (2.0.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove myself from Uploaders

  [ Sylvain Le Gall ]
  * New upstream release.
  * Standards-Version 3.9.5 (no change)
  * Distribute some .ml files that have no matching .mli.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Mar 2014 12:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
  Hendrik Tews <hendrik@askra.de>,
  Lifeng Sun <lifongsun@gmail.com>
-Build-Depends: 
+Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 4.00.1),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.3.2),
  dh-ocaml (>= 0.9.1),
- camlp4
-Standards-Version: 3.9.4
+ camlp4,
+ libxml2-utils
+Standards-Version: 3.9.5
 Homepage: http://ounit.forge.ocamlcore.org
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ounit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ounit.git
@@ -28,7 +28,7 @@
 Suggests: ocaml-findlib
 Description: Unit testing framework for OCaml
  OUnit is a unit testing framework for OCaml, imspired
- by the JUnit tool for JAva and the HUnit tool for Haskell.
+ by the JUnit tool for Java and the HUnit tool for Haskell.
  .
  OUnit is designed to provide a convenient way for you to write tests
  for your OCaml code.  Tests can be aggregated into test suites, making

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 # MA 02110-1301, USA.
 
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+#export DH_OPTIONS=-v
+
 DESTDIR=$(CURDIR)/debian/tmp
 
 include /usr/share/ocaml/ocamlvars.mk
@@ -27,7 +31,7 @@
 export OCAMLFIND_LDCONF
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:

## ounit 2.0.8

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 default: test
 
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -49,7 +49,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -61,13 +61,16 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
+configure:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
 .PHONY: build doc test all install uninstall reinstall clean distclean configure
@@ -90,7 +93,7 @@
 	    --exclude _tags
 
 precommit:
-	 @if command -v OCamlPrecommit > /dev/null; then \
+	 -@if command -v OCamlPrecommit > /dev/null; then \
 	   OCamlPrecommit $(PRECOMMIT_ARGS); \
 	 else \
 	   echo "Skipping precommit checks.";\
@@ -108,10 +111,10 @@
 deploy: doc fix-perms
 	./doc-dist.sh --version $(shell oasis query version)
 	admin-gallu-deploy --verbose \
-		--forge_upload	--forge_group ounit --forge_user gildor-admin \
-		--forge_extra_file "dist/ounit-doc-$(shell oasis query version).tar.gz"
+	  --forge_upload --forge_group ounit --forge_user gildor-admin \
+	  --forge_extra_file "dist/ounit-doc-$(shell oasis query version).tar.gz"
 	admin-gallu-oasis-increment \
-		--setup_run --setup_args "-setup-update dynamic" --use_vcs
+	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
 
 .PHONY: deploy
 
@@ -122,11 +125,11 @@
 
 headache:
 	find ./ \
-		-name _darcs -prune -false \
-    -o -name _build -prune -false \
+	  -name _darcs -prune -false \
+	  -o -name _build -prune -false \
 	  -o -name dist -prune -false \
 	  -o -name log-html -prune -false \
 	  -o -name '*[^~]' -type f \
-	  | xargs headache -h _header -c _headache.config
+	  | xargs /usr/bin/headache -h _header -c _headache.config
 
 .PHONY: headache

=== examples/Makefile ===
############################################################################
#  The OUnit library                                                       #
#                                                                          #
#  Copyright (C) 2002-2008 Maas-Maarten Zeeman.                            #
#  Copyright (C) 2010 OCamlCore SARL                                       #
#  Copyright (C) 2013 Sylvain Le Gall                                      #
#                                                                          #
#  The package OUnit is copyright by Maas-Maarten Zeeman, OCamlCore SARL   #
#  and Sylvain Le Gall.                                                    #
#                                                                          #
#  Permission is hereby granted, free of charge, to any person obtaining   #
#  a copy of this document and the OUnit software ("the Software"), to     #
#  deal in the Software without restriction, including without limitation  #
#  the rights to use, copy, modify, merge, publish, distribute,            #
#  sublicense, and/or sell copies of the Software, and to permit persons   #
#  to whom the Software is furnished to do so, subject to the following    #
#  conditions:                                                             #
#                                                                          #
#  The above copyright notice and this permission notice shall be          #
#  included in all copies or substantial portions of the Software.         #
#                                                                          #
#  The Software is provided ``as is'', without warranty of any kind,       #
#  express or implied, including but not limited to the warranties of      #
#  merchantability, fitness for a particular purpose and noninfringement.  #
#  In no event shall Maas-Maarten Zeeman be liable for any claim, damages  #
#  or other liability, whether in an action of contract, tort or           #
#  otherwise, arising from, out of or in connection with the Software or   #
#  the use or other dealings in the software.                              #
#                                                                          #
#  See LICENSE.txt for details.                                            #
############################################################################

TESTS = test_list.ml test_list2.ml test_stack.ml

test: test_suite example
	-./test_suite
	-./example

test_suite: $(TESTS) test_suite.ml
	ocamlfind ocamlc -o test_suite -package oUnit -linkpkg \
	test_list.ml test_list2.ml test_stack.ml test_suite.ml

example: example.ml
	ocamlfind ocamlc -o example -package oUnit -linkpkg \
	example.ml

clean:
	-$(RM) *.cmi *.cmo test_suite example

=== debian/changelog ===
ounit (2.0.8-2build2) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:51 +0000

ounit (2.0.8-2build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 11:44:36 +0200

ounit (2.0.8-2) unstable; urgency=medium

  * Team upload
  * Remove camlp4 from Build-Depends
  * Remove Hendrik from Uploaders
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:50:48 +0200

ounit (2.0.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Update Vcs-* fields to target Salsa
  * Update Homepage field
  * Install .annot, .cmti and .cmt files in -dev package

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 12:46:55 +0200

ounit (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 11:38:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ounit
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Hendrik Tews <hendrik@askra.de>,
  Lifeng Sun <lifongsun@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  ocaml-nox (>= 4.00.1),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.3.2),
  dh-ocaml (>= 0.9.1),
- camlp4,
+ ocamlbuild,
  libxml2-utils
-Standards-Version: 3.9.5
-Homepage: http://ounit.forge.ocamlcore.org
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ounit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ounit.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/gildor478/ounit
+Vcs-Git: https://salsa.debian.org/ocaml-team/ounit.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ounit
 
 Package: libounit-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -49,12 +49,14 @@
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	ocaml setup.ml -install 
+	ocaml setup.ml -install
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing
+.PHONY: override_dh_missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+override_dh_dwz:

## ounit 2.2.3

=== debian/changelog ===
ounit (2.2.3-2) unstable; urgency=medium

  * Team upload
  * Comment out AssertCodePosition test (fails on bytecode)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Aug 2020 13:10:28 +0200

ounit (2.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Lifeng from Uploaders (Closes: #925074)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Aug 2020 11:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: ounit
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Lifeng Sun <lifongsun@gmail.com>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4.00.1),
- ocaml-best-compilers,
- ocaml-findlib (>= 1.3.2),
- dh-ocaml (>= 0.9.1),
- ocamlbuild,
+ debhelper-compat (= 13),
+ ocaml-nox (>= 4.04.0),
+ ocaml-findlib,
+ ocaml-dune,
+ dh-ocaml,
  libxml2-utils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ounit
 Vcs-Git: https://salsa.debian.org/ocaml-team/ounit.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ounit

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/ocaml/ocamlvars.mk
 
 OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
@@ -33,30 +34,14 @@
 %:
 	dh $@ --with ocaml
 
-.PHONY: override_dh_auto_configure
-override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'
+override_dh_auto_build:
+	dune build -p ounit2
 
-.PHONY: override_dh_auto_build
-override_dh_auto_build:
-	ocaml setup.ml -build
-	ocaml setup.ml -doc
+override_dh_auto_test:
+	dune runtest -p ounit2
 
-.PHONY: override_dh_auto_test
-override_dh_auto_test:
-	ocaml setup.ml -test
-
-.PHONY: override_dh_auto_install
 override_dh_auto_install:
-	mkdir -p '$(OCAMLFIND_DESTDIR)'
-	ocaml setup.ml -install
-
-.PHONY: override_dh_missing
-override_dh_missing:
-	dh_missing --fail-missing
-
-.PHONY: override_dh_auto_clean
-override_dh_auto_clean:
-	ocaml setup.ml -distclean
-
-override_dh_dwz:
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) ounit2
+	rm -f $(DESTDIR)/usr/doc/ounit2/LICENSE.txt
+	mkdir -p $(OCAMLFIND_DESTDIR)
+	$(MAKE) install-ounit version=$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=3
https://github.com/gildor478/ounit/releases .*/archive/v?(\d[\d.]+)\.tar\.gz

## ounit 2.2.6

=== debian/changelog ===
ounit (2.2.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2022 18:08:33 +0100

ounit (2.2.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 15:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.04.0),
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  dh-ocaml,
  libxml2-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ounit
 Vcs-Git: https://salsa.debian.org/ocaml-team/ounit.git

=== debian/watch ===
version=4
https://github.com/gildor478/ounit/releases .*/ounit-v?(\d[\d.]+)\.tbz

## ounit 2.2.7

=== Makefile ===
--- 
+++ 
@@ -30,67 +30,50 @@
 #  See LICENSE.txt for details.                                            #
 ############################################################################
 
-#TESTFLAGS=-only-test "OUnit:1"
-#TESTFLAGS=-verbose true
+version = dev
 
 default: test
 
-# OASIS_START
-# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
+build:
+	dune build @install
 
-SETUP = ocaml setup.ml
+doc:
+	dune build @doc
 
-build: setup.data
-	$(SETUP) -build $(BUILDFLAGS)
-
-doc: setup.data build
-	$(SETUP) -doc $(DOCFLAGS)
-
-test: setup.data build
-	$(SETUP) -test $(TESTFLAGS)
+test:
+	dune runtest
 
 all:
-	$(SETUP) -all $(ALLFLAGS)
+	dune build @all
+	dune runtest
 
-install: setup.data
-	$(SETUP) -install $(INSTALLFLAGS)
+install: install-ounit install-ounit-lwt
 
-uninstall: setup.data
-	$(SETUP) -uninstall $(UNINSTALLFLAGS)
+install-ounit:
+	-ocamlfind remove oUnit
+	ocamlfind install oUnit src/lib/oUnit/META -patch-version $(version)
 
-reinstall: setup.data
-	$(SETUP) -reinstall $(REINSTALLFLAGS)
+install-ounit-lwt:
+	-ocamlfind remove ounit-lwt
+	ocamlfind install ounit-lwt src/lib/ounit-lwt/META -patch-version $(version)
+
+uninstall:
+	dune uninstall
+	-ocamlfind remove oUnit
+	-ocamlfind remove ounit-lwt
 
 clean:
-	$(SETUP) -clean $(CLEANFLAGS)
+	dune clean
 
-distclean:
-	$(SETUP) -distclean $(DISTCLEANFLAGS)
+null:
+	true
 
-setup.data:
-	$(SETUP) -configure $(CONFIGUREFLAGS)
-
-configure:
-	$(SETUP) -configure $(CONFIGUREFLAGS)
-
-.PHONY: build doc test all install uninstall reinstall clean distclean configure
-
-# OASIS_STOP
-
-doc-test: doc
-	 ocamldoc -g ../ocaml-tmp/odoc-extract-code/odoc_extract_code.cmo \
-	   -load _build/src/oUnit.odoc -intro doc/manual.txt > _build/src/tmp.ml;
-	 ocamlc -c -I _build/src/ _build/src/tmp.ml
+.PHONY: build doc test all uninstall clean null
+.PHONY: install install-ounit install-ounit-lwt
 
 PRECOMMIT_ARGS= \
 	    --exclude log-html \
-	    --exclude myocamlbuild.ml \
-	    --exclude setup.ml \
-	    --exclude README.txt \
-	    --exclude INSTALL.txt \
-	    --exclude Makefile \
-	    --exclude configure \
-	    --exclude _tags
+	    --exclude Makefile
 
 precommit:
 	 -@if command -v OCamlPrecommit > /dev/null; then \
@@ -103,25 +86,16 @@
 
 .PHONY: precommit
 
-doc-dev-dist: doc fix-perms
-	./doc-dist.sh --version dev
-
-.PHONY: doc-dev-dist
-
-deploy: doc fix-perms
-	./doc-dist.sh --version $(shell oasis query version)
-	admin-gallu-deploy --verbose \
-	  --forge_upload --forge_group ounit --forge_user gildor-admin \
-	  --forge_extra_file "dist/ounit-doc-$(shell oasis query version).tar.gz"
-	admin-gallu-oasis-increment \
-	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
+deploy: doc test
+	dune-release lint
+	git push --all
+	dune-release tag
+	dune-release distrib --skip-tests
+	dune-release publish
+	dune-release opam pkg
+	dune-release opam submit
 
 .PHONY: deploy
-
-fix-perms:
-	chmod +x doc-dist.sh
-
-.PHONY: fix-perms
 
 headache:
 	find ./ \

=== debian/changelog ===
ounit (2.2.7-2build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:05:48 +0200

ounit (2.2.7-2build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:06:24 +0100

ounit (2.2.7-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:19:16 +0200

ounit (2.2.7-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 13:40:47 +0100

ounit (2.2.7-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:17:47 +0100

ounit (2.2.7-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:30:31 +0200

ounit (2.2.7-1) unstable; urgency=medium

  * Taking maintenance over (Closes: #934213).
  * Fix d/watch.
  * Bump standards-version to 4.6.2.
  * New upstream release.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 14:38:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  ocaml,
  ocaml-findlib,
  ocaml-dune,
- dh-ocaml,
+ dh-ocaml (>= 1.2),
  libxml2-utils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ounit
 Vcs-Git: https://salsa.debian.org/ocaml-team/ounit.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	$(MAKE) install-ounit version=$(DEB_VERSION_UPSTREAM)
